# Interface ICSSPropertyMarginHandler

All Superinterfaces:
  `ICSSPropertyHandler`

All Known Implementing Classes:
  `AbstractCSSPropertyMarginHandler, CSSPropertyMarginSWTHandler`

public interface ICSSPropertyMarginHandler extends ICSSPropertyHandler
CSS Border Margin Handler.

See Also:
  - w3schools

## Method Summary

Modifier and Type
Method
Description
`void`
`applyCSSPropertyMargin(Object element, CSSValue value, String pseudo, CSSEngine engine)`
A shorthand property for setting all four margins in one declaration.
`void`
`applyCSSPropertyMarginBottom(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the bottom margin.
`void`
`applyCSSPropertyMarginLeft(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the left margin.
`void`
`applyCSSPropertyMarginRight(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the right margin.
`void`
`applyCSSPropertyMarginTop(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the top margin.
`String`
`retrieveCSSPropertyMargin(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyMarginBottom(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyMarginLeft(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyMarginRight(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyMarginTop(Object element, String pseudo, CSSEngine engine)`

### Methods inherited from interface ICSSPropertyHandler

`applyCSSProperty, onAllCSSPropertiesApplied, onAllCSSPropertiesApplied, retrieveCSSProperty`

## Method Details

### applyCSSPropertyMargin

void applyCSSPropertyMargin(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
A shorthand property for setting all four margins in one declaration. Available values are {margin-top, margin-right, margin-bottom, margin-left}

Throws:
  `Exception`

### applyCSSPropertyMarginTop

void applyCSSPropertyMarginTop(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Sets the top margin. Available values are {length}

Throws:
  `Exception`

### applyCSSPropertyMarginRight

void applyCSSPropertyMarginRight(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Sets the right margin. Available values are {length}

Throws:
  `Exception`

### applyCSSPropertyMarginBottom

void applyCSSPropertyMarginBottom(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Sets the bottom margin. Available values are {length}

Throws:
  `Exception`

### applyCSSPropertyMarginLeft

void applyCSSPropertyMarginLeft(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Sets the left margin. Available values are {length}

Throws:
  `Exception`

### retrieveCSSPropertyMargin

String retrieveCSSPropertyMargin(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyMarginTop

String retrieveCSSPropertyMarginTop(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyMarginRight

String retrieveCSSPropertyMarginRight(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyMarginBottom

String retrieveCSSPropertyMarginBottom(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyMarginLeft

String retrieveCSSPropertyMarginLeft(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`